# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import models, fields


class ScopPartnerTimesheet(models.Model):
    _inherit = "res.partner"

    ur_financial_system_id = fields.Many2one(
        comodel_name='ur.financial.system',
        string='Dispositif Financier',
        ondelete='set null')
    ur_financial_system_date = fields.Date(
        "Date de fin de dispositif")
    ur_regional_convention_id = fields.Many2one(
        comodel_name='ur.regional.convention',
        string='Convention Régionale',
        ondelete='set null')
    ur_regional_convention_date = fields.Date(
        "Date de fin de convention")
    ur_financial_system_nb = fields.Integer(
        string="Nb Dispositifs Financiers",
        compute="_compute_ur_system_nb")
    ur_regional_convention_nb = fields.Integer(
        string="Nb conventions régionales",
        compute="_compute_ur_system_nb")

    # ------------------------------------------------------
    # Compute Functions
    # ------------------------------------------------------
    def _compute_ur_system_nb(self):
        for partner in self:
            # Calcul nombre de dispositifs financiers
            financial_system = partner.env['ur.financial.system'].search([
                ('ur_id', '=', self.env.user.ur_id.id)])
            partner.ur_financial_system_nb = len(
                financial_system)
            # Calcul nombre de conventions
            regional_convention = partner.env['ur.regional.convention'].search([
                ('ur_id', '=', self.env.user.ur_id.id)])
            partner.ur_regional_convention_nb = len(
                regional_convention)
