 // © 2019 Le Filament (<http://www.le-filament.com>)
 // License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

odoo.define('cgscop_timesheet.ur_month_timesheet', function (require) {
	"use strict";

	var core = require('web.core');
	var session = require('web.session');
	var AbstractAction = require('web.AbstractAction');
	var QWeb = core.qweb;

	var ScopMonthTimesheet = AbstractAction.extend({
	    template: 'ScopMonthTimesheet',

	    willStart: function() {
	        var deferred = new jQuery.Deferred();
	        var self = this;
	        this.values = {};
	        this._rpc({
				    model: 'ur.month.timesheet',
				    method: 'get_month_values',
				    args: [],
				})
                .then(function(results) {
                    self.values = results;
                    deferred.resolve();
                });
	        return jQuery.when(this._super.apply(this, arguments),deferred);
	    },

	    start: function() {
	    },

	});

	core.action_registry.add('cgscop_timesheet.ur_month_timesheet', ScopMonthTimesheet);


});

